#!/bin/bash
#SBATCH --partition=msc
#SBATCH --mem=20G
#SBATCH --cpus-per-task=4
#SBATCH --output=/users/ms20qj/sbatch_logs/init-%A_%a.log
#SBATCH --gres=gpu:1
#SBATCH --array=0-44%5
list=(
"python data/generation/train.py --lr 0.001 --model_depth 2 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 2 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 2 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 2 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 2 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.001 --model_depth 2 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 2 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 2 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 2 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 2 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

  "python data/generation/train.py --lr 0.001 --model_depth 2 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 2 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 2 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 2 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 2 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.001 --model_depth 3 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 3 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 3 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 3 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 3 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.001 --model_depth 3 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 3 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 3 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 3 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 3 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

  "python data/generation/train.py --lr 0.001 --model_depth 3 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 3 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 3 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 3 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 3 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.001 --model_depth 4 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 4 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 4 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 4 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 4 --model_width 8 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.001 --model_depth 4 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 4 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 4 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 4 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 4 --model_width 12 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

  "python data/generation/train.py --lr 0.001 --model_depth 4 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.0016 --model_depth 4 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.003 --model_depth 4 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.006 --model_depth 4 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"

"python data/generation/train.py --lr 0.01 --model_depth 4 --model_width 16 --train_dataset_size 50000 \
  --optimizer_type SGD --wd 0.0005 --batch_size 32 --epochs 400 --model_arch skiptinit_resnet \
  --transforms False --lr_scheduling False --ce_target 0.01 --project_name new_base"
)
${list[SLURM_ARRAY_TASK_ID]}